//---------------------------------------------------------------------------
// JrDebug demo that demonstrates commandline enabling
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Demo that shows how easy it is to make your code not generate debug
//  information unless told to by passing it a commandline argument.
//
// To enable debug logging to console do:
//    demo.exe -dbc
// To enable debug logging to file:
//    demo.exe -dbf
// To enable normal debug logging to the gui tool:
//    demo.exe -db
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// System includes for std::cout usage below IF you want to use that method
//#include <iostream>
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Include the Debugging Library file (only our main should include this
//  file, additional .cpp files should include "jrdebug.h"
//  alternatively, you could add this cpp to your project or makefile.
#include "../../jrdebug_main.cpp"
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
int main(int argc, char *argv[])
{
	// automatically parse commandline options and exit if appropriate
	if (JrDebugParseCommandlineArgc("Demo2",&argc,argv,"-db"))
		return 0;
//	if (JrDebugParseCommandlineArgc("Demo2",&argc,argv,"-dbo text:noprefix;sysout;stdout"))
//		return 0;

	// a debug logging output line
	debugout << "This is a debugging message (argc="<<argc<<")";
	// display message using printf OR iostream
	//std::cout << "Program has finished but no debug info will be sent unless you pass a commandline argument (-db or -dbf or -dbc)."<<std::endl;
	printf("Program has finished but no debug info will be sent unless you pass a commandline argument (-db or -dbf or -dbc).");
	// return success
	return 0;
}
//---------------------------------------------------------------------------

